<?php

/**
 * Smarty exception class
 *
 * @package Smarty
 */
class SmartyException extends Exception
{
    public static $escape = false;

    public function __construct($message, $code = 400, Exception $previous = null){
        if($code === null) $code = 400;
        if(!is_numeric($code)){
            $code = intval($code);
        }
        parent::__construct($message, $code, $previous);
    }
    public function __toString()
    {
        return ' --> Smarty: ' . (self::$escape ? htmlentities($this->message) : $this->message) . ' <-- ';
    }
}
